org.eclipse.jface.viewers

## Class StyledString.Styler

- java.lang.Object
- - org.eclipse.jface.viewers.StyledString.Styler

Enclosing class:
  StyledString

    public abstract static class StyledString.Styler
    extends Object

A styler will be asked to apply its styles to one ore more ranges in the `StyledString`.

### Constructor Summary

Constructors
Constructor and Description
`Styler()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `applyStyles(TextStyle textStyle)` Applies the styles represented by this object to the given textStyle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Styler

    public Styler()

### Method Detail

#### applyStyles

    public abstract void applyStyles(TextStyle textStyle)

Applies the styles represented by this object to the given textStyle.

Parameters:
  `textStyle` - the `TextStyle` to modify